<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!--script src="../ml/ml1.js"></script-->
	<!--script src="../ml/ml2.js"></script-->
	<!--script src="../ml/ml3.js"></script-->
    <!-- Libreria azure-->
    <script src="https://cdn.jsdelivr.net/npm/@tensorflow/tfjs@3.12.0/dist/tf.min.js"></script>
    <script src="https://unpkg.com/@microsoft/customvision-tfjs@1.3.0"></script>
    <script src="../js/socket.io.js" type="text/javascript"></script>
    <!-- Libreria particulas-->
    <script src="https://cdn.jsdelivr.net/npm/particles.js@2.0.0/particles.min.js"></script>
    <!--script src="http://threejs.org/examples/js/libs/stats.min.js"></script-->
    <link href="css/styles.css" rel="stylesheet" type="text/css">
    <title>Power</title>
</head>
<body>
    <div id ="particles-js"></div>
    <!--div class="container">
        <button class="btn" href="#">hover me</button>
      </div-->
    
       <form id="formulario">
        <div id="mydivform" style="display: none;">
        <selection class="form-register">
            <label for="fname" id="serial">Serial</label>
            <input  class="inputserial" type="text" id="inputserial" placeholder="Ingresa serial" onchange="valorserial()" >
            <label for="fname1" id="ubicacion">Defecto</label>
            <select class="controls" id="myinput1"  onchange="valorinput1(this)">
                <option value="">Selecciona Defecto</option>
                <option value="Exceso de soldadura" onchange="valorinput1()">Exceso de soldadura</option>
                <option value="Componente Danado">Componente Dañado</option>
                <option value="Evidencia de Pin">Evidencia de Pin</option>
                <option value="Bolitas de soldadura">Bolitas de soldadura</option>
               
            </select>
            <label for="fname2" id="defecto">Ubicacion</label>
            <input class="controls" type="text" id="myinput2" placeholder="Ingresa ubicacion" onchange="valorinput2()" required >
            
            <button class="botons" type="button" id="btnagrega" onclick="datavalidation()">Enviar</button>
            <button class="botons" type="button" id="btnagrega2" onclick="newdefect()">Nuevo Defecto</button>
        </selection>
      </div>
    </form>
    <div id="error"></div>

    <header class="header">
        <nav class="nav">
            <a href="#" class="logo nav-link" onclick="agregardefecto()">Agregar Defecto</a>
        </nav>
    </header>

   <form id="formulario2">
    <div id="newdiv" style="Display: none;"> <!--style="Display: none;"-->
        <selection class="form2-register">
            <label for="Contraseña" id="Contraseña">Contraseña</label>
            <input  type="password" id="newinput" name="Contraseña" onchange="valorcontraseña()" placeholder="Ingresa contraseña">
            <button  class="botonsC" type="button"  id="btnagrega3" onclick="guardarcontra()">Enviar</button>
        </selection>
    </div>
   </form>   
   
   <form id="formulario3">
    <div id="divagregar" style="display: none;">
        <selection class="form3-register">
            <label for="Nuevodefecto" id="div3">Nuevo Defecto</label>
            <input type="text" id="inputdiv3" placeholder="Agrega nuevo defecto" onchange="nuevodefecto()">
            <button class="botonAGF" type="button" id="btnagrega4" onclick="crearnuevodefecto()">Guardar</button>
        </selection>
    </div>
   </form>
   <div  class="box" >
    <canvas  id="canvasimagenF" class="canvasimagenF"  width="900" ; height="500"></canvas>
           <div id="miVideoContainer" class="miVideoContainer">
                <video  autoplay muted width="900" height="500" id="video" ></video>
           </div>
    </div>

    <div class="count-particles">
        <span class="js-count-particles"></span>
    </div>

    <video hidden autoplay="true" id="video"></video>
    <canvas id="CanvasFHD" width="1920px" height="1080px"></canvas> <!-- etiqueta de video lleva un Hidden para esconder -->
    <!--p id="textosobreVideo"></p-->
    
    
    <!-- Canvas para prueba de clasificacion -->
    <canvas  id="canvasClen1" width="118" ; height="299"></canvas> <!--canvas Chico lente 1-->
    <canvas id="canvastest" width="1920" height="1080"></canvas>
    

    <!---div><img id="IA_logo" src="/img/iablack.png" onclick="testsequence()"></div-->
    <!--div><img id="sanmina" src="/img/sanmina.jpeg"></div-->
    <div><img id="tesla" src="/img/tesla.png"></div>
    <!--img src="/img/sanmina.jpeg" class="imgsanmina"-->

    <small class="copyright">© 2024 Artificial Intelligence Lab </small>
    <script src='/js/main.js'></script>
    <script src='/js/clasificacion.js'></script>
    <script src="/js/particles.js"></script>
    <script src="/js/validaciones.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
    
    
</body>
</html>